Sun Dec 04 11:51:30 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.6 released.

Wed Nov 30 11:32:44 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/LocalityManager/Scheduler/Plugin_Manager.cpp:
          Initialise pointer with 0

Wed Nov 30 11:31:40 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/DAnCE_Core.mpc:
        * dance/Deployment/Deployment_Core.mpc:
          Remove S.inl files

Wed Nov 23 17:27:01 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.cpp:

          Warning for Windows.

Wed Nov 02 08:30:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Thu Oct 27 10:10:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * bin/ciao.localityconfig:

                  Added CIAO_ReferenceLookup interceptor.

                * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

                  Added collection of connections with exernalReference endpoints
                  to LocalityManager_i::collect_references (without resolving).
                  Resolving the references is deferred to be handled in a
                  deployment interceptor. This allows for more control in the
                  exact setup of external references without the overhead of
                  unnecessary/unwanted resolution attempts based on (incorrect)
                  assumptions of the nature of the external references.

                * dance/Plan_Launcher/Plan_Launcher_Base.h:
                * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.h:
                * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

                  Removed create_external_connections() method.

        Wed Oct 26 10:13:47 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tools/Domain_Validator/CORBA/CORBA_Domain_Validator.mpc:
                  Using the correct dynamic flag now.

        Wed Oct 26 09:44:25 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tools/Domain_Validator/CORBA/CORBA_Domain_Validator.mpc:
                  Merged Will's solution for compile issues on windows.

        === end changelog ===

Tue Nov  1 13:18:21 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/Plan_Launcher/Plan_Launcher_Base.h:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.h:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          Removed create_external_connections and moved functionality into the
          LocalityManager.  Thanks to Martin Corino <mcorino@remedy.nl> for the
          fixes.

Sun Oct 30 22:42:44 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/ciao.localityconfig:
        * dance/LocalityManager/Scheduler/Events/Connect.cpp:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          Moved name service resolution of external reference endpoints into the
          CIAO deployment interceptors.

Tue Oct 25 17:30:32 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Split_Plan/Split_Plan.cpp:

          Moved openmp for loops inside __OPENMP ifdef, else we use
          CORBA::ULong types for loop index.

Tue Oct 25 17:29:44 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator.mpc:

          Added missing dynamicflags directive.

Sat Oct 22 22:01:01 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_export.h:
        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.h:

          Export macros.

Tue Oct 20 09:30:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Thu Oct 13 07:17:02 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * dance/Logger/Log_Macros.h:
                  Fix complile errors when all logging is disabled.

        Wed Oct 12 13:09:40 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * dance/DAnCE_Core.mpc:
                * dance/LocalityManager/Configuration/Configuration.mpc:
                * dance/LocalityManager/Interceptors/Error_Interceptors.mpc:
                * dance/Plan_Launcher/Daemon/PL_Daemon.mpc:
                * tools/Artifact_Installation/Artifact_Installation.mpc:
                * tools/Convert_Plan/Convert_Plan.mpc:
                * tools/Logger_Backend/ndds/NDDS_Logger.mpc:
                * tools/System_Health/Interceptors/SHS_Interceptor.mpc:
                * tools/System_Health/System_Health.mpc:
                  Fixed several install issues.

        === end changelog ===

Thu Oct 20 02:37:36 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Split_Plan/Split_Plan.cpp:

          Warnings.

Wed Oct 19 19:14:34 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_split_plan.mpb:
        * tools/Split_Plan/Split_Plan.h:
        * tools/Split_Plan/Split_Plan.cpp:
        * tools/Split_Plan/Split_Plan.mpc:

          Added capability to multithread the split plan process with openmp.

Wed Oct 19 16:30:35 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DAnCE_Utility.h:

          Add missing export macro.

Wed Oct 19 05:03:16 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Domain_Validator/Domain_Validator.mpc:

          Attempt at windows compile/linking issue.

Mon Oct 17 17:27:17 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher.mpc:
          stab at a static linking problem.

        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.cpp:

          warnings.

Mon Oct 17 06:15:45 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator.mpc:

          Missing from previous commit.

Fri Oct 14 14:47:22 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_domain_validator.mpb:

          fuzz.

Fri Oct 14 14:01:41 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_domain_validator.mpb:

          Missing from a previous commit.

Fri Oct 14 02:31:06 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Domain_Validator/Domain_Validator.idl:
        * tools/Domain_Validator/Domain_Validator.mpc:

          Fuzz.

Thu Oct 13 22:38:44 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * tests/Plan_Launcher/NM-Delay/NodeMap.cdd:
        * tests/Plan_Launcher/NM-Delay/run_test.pl:
        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.cpp:

          Added capability for the domain validator to check the liveness of the
          ExecutionManager.

Thu Oct 13 22:25:39 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/Plan_Launcher/NM-Delay:
        * tests/Plan_Launcher/NM-Delay/Deployment.cdp:
        * tests/Plan_Launcher/NM-Delay/NodeMap.cdd:
        * tests/Plan_Launcher/NM-Delay/run_test.pl:

          Test for the domain validator.

Thu Oct 13 22:24:56 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.h:
        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.cpp:

          Bugfixes.

Thu Oct 13 22:19:49 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/XMLSchema/id_map.hpp:
        * tools/Config_Handlers/XML_File_Intf.cpp:

          1) the XML_Helper is no longer terminated in the File_Intf destructor,
          this caused problems when several files were parsed in a single process.
          2) We now reset the ID_Map before each parsing event.

Thu Oct 13 19:10:36 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DAnCE_Utility.h:
        * dance/DAnCE_Utility.cpp:
        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * dance/Plan_Launcher/Plan_Launcher.mpc:
        * tools/Domain_Validator:
        * tools/Domain_Validator/CORBA:
        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.h:
        * tools/Domain_Validator/CORBA/CORBA_Domain_Validator_impl.cpp:
        * tools/Domain_Validator/Domain_Validator.idl:
        * tools/Domain_Validator/Domain_Validator.mpc:

          Initial domain validator implementation.

Thu Oct 13 19:05:45 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DAnCE_Properties.idl:

          Corrected string literals for identifying CCM instance types.

Mon Oct 10 08:48:51 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.5 released.

Fri Oct  7 10:49:04 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * docs/sources/Error_Documentation.oo3/contents.xml:
          Fuzz

Fri Oct  7 09:46:53 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * docs/DAnCE_Logging.txt:
        * docs/LocalityManager-Plugins.txt:
          Fuzz.

Fri Oct  7 09:21:58 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * dance/NodeManager/README:
          Fuzz: Id-tags.

Fri Oct  7 08:02:38 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.h:
          Fuzz: Trailing whitespace

        * docs/sources/Error_Documentation.oo3/contents.xml:
          Fuzz: No id-tag

Thu Oct  6 12:37:04 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.h:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:
          Fuzz.

Wed Oct  5 14:32:32 UTC 2011  William R. Otte  <wotte@dre.vanderbit.edu>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:

          Fuzz.

Tue Oct  4 19:42:56 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.h:
        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.h:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:
        * dance/LocalityManager/Scheduler/Plugin_Manager.h:
        * dance/LocalityManager/Scheduler/Plugin_Manager.cpp:

          Resolved some memory leaks in the pugin subsystem.

Tue Oct  4 14:44:28 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Scheduler/Events/Action_Base.cpp:

          Reduce log priority of certain error messages.

Tue Aug 23 18:17:43 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Prepared for next release

Tue Aug 23 19:01:44 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.4 released.

Fri Jul 29 14:18:54 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * dance/LocalityManager/Configuration/CPU_Affinity.cpp:

          unfuzz.

Wed Jul 27 08:45:22 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Configuration/CPU_Affinity.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

        Fixes to address crashing issues on some platforms.

Sun Jul 10 16:21:29 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/Error_Documentation/index.html:

          Fuzz.

Thu Jul  7 20:38:10 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Configuration/Process_Name.cpp:

          Updated to address a glibc error in some Linux distributions.

Thu Jun 30 10:36:59 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/Error_Documentation:
        * docs/Error_Documentation/Checked.png:
        * docs/Error_Documentation/Collapsed.png:
        * docs/Error_Documentation/Expanded.png:
        * docs/Error_Documentation/LeafRowHandle.png:
        * docs/Error_Documentation/Mixed.png:
        * docs/Error_Documentation/Unchecked.png:
        * docs/Error_Documentation/blank.png:
        * docs/Error_Documentation/index.html:
        * docs/Error_Documentation/outliner.js:

          Updated error documentation.

        * docs/sources/Error_Documentation.oo3:
        * docs/sources/Error_Documentation.oo3/contents.xml:

          Source document for the error documentation.

        * docs/Error_Messages.txt:

          Removed this file.

Thu Jun 23 12:39:08 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          Disable html help, seems doxygen now disables the search option
          when html help is enabled

Thu Jun 23 13:46:08 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.3 released.

Tue Jun  7 21:18:05 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * tests/Plan_Launcher/EM-Delay/run_test_ns.pl:

          Rework the plan launcher options a bit.  --em-ior is back to requiring an
          argument, if no --{em,nm,lm}-ior option is specified, we default to
          name service lookup.

Fri Jun  3 12:07:41 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/dance_tests.lst:
          Fixed location of tests

Thu Jun  2 19:49:24 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher.cpp:

          compile fix.

Wed Jun  1 11:14:10 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher.cpp:

          New option --manager-timeout which allows the user to indicate
          to the plan_launcher that it should wait a specified number of
          seconds for a manager (e.g., execution_manager) reference to
          become valid before proceeding with deployment.

        * tests/Plan_Launcher:
        * tests/Plan_Launcher/EM-Delay:
        * tests/Plan_Launcher/EM-Delay/run_test.pl:
        * tests/Plan_Launcher/EM-Delay/run_test_ns.pl:
        * bin/dance_tests.lst:

          New test to excercise the new delay on manager reference functionality.

Wed Jun  1 11:10:40 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/ExecutionManager/ExecutionManager_Module.cpp:

          Emit the IOR/register with the naming service closer to ORB
          activation to reduce the possibility of a race condition with
          the plan_launcher.

Wed Jun  1 10:14:38 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/Error_Messages.txt:

          Beginning of error message documentation.

Thu May 26 20:29:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * dance/NodeManager/Node_Manager_Module.cpp:
        * dance/RepositoryManager/repository_manager_admin_exec.cpp:
        * tools/Config_Handlers/SatisfierProperty_Handler.cpp:
          Resolved gcc 4.6 warnings. Some variables were declared and assigned
          a value but weren't used after that.

Fri Apr 22 12:41:09 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tools/Logger_Backend/ndds/svc.conf:
          Fuzz: Added $Id string

Wed Apr 20 09:52:52 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.2 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
